{% extends 'base.html' %}
{% load humanize %}
{% block content %}
<div class="container mt-5">
    <div class="mb-5">
        {% if messages %}
        {% for message in messages %}
        {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            {{ message }}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        {% else %}
        <div class="alert alert-info alert-dismissible fade show" role="alert">
            {{ message }}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        {% endif %}
        {% endfor %}
        {% endif %}
    </div>
    <h1> Admin Dashboard </h1>
    <div class="col-9 mb-5">

        <div class="row mt-3">
            <div class="mr-2">
                <a href="{% url 'add_user' %}" class="btn btn-outline-deep-purple text-dark btn-rounded btn-sm font-weight-bold">
                    <i class="fa fa-plus fa-x mr-1" aria-hidden="true"></i>Add A New Staff</a>
            </div>
            <div class="mr-2">
                <a data-toggle="modal" data-target="#ImportModal"
                   class="btn btn-outline-primary btn-rounded btn-sm px-4 font-weight-bold">
                    <i class="fas fa-upload fa-1x mr-2"></i>Import Loan/Contribution
                </a>
            </div>
            <div class="mr-2">
                <!--Dropdown primary-->
                <div class="dropdown">

                    <!--Trigger-->
                    <a class="btn btn-outline-mdb-color btn-rounded btn-sm dropdown-toggle px-4 font-weight-bold"
                       type="button" id="dropdownMenu2" data-toggle="dropdown"
                       aria-haspopup="true" aria-expanded="false"><i class="fas fa-download mr-2"></i>Export</a>


                    <!--Menu-->
                    <div class="dropdown-menu dropdown-primary">
                        <a class="dropdown-item" href="{% url 'export_loan' %}">Export All Loans</a>
                        <a class="dropdown-item" href="{% url 'export_contrib' %}">Export All Contributions</a>
                    </div>
                </div>
                <!--/Dropdown primary-->
            </div>
        </div>
    </div>
    <div class="row justify-content-center">
        <div class="col-12">
            <div class="card-deck animated fadeIn">
                <a href="{% url 'user_list' %}"
                   class="card text-white primary-color-dark mb-4 z-depth-2" style="max-width: 20rem;">
                    <div class="card-header h5-responsive text-center">
                        Number of staffs
                    </div>
                    <div class="card-body">
                        <h5 class="card-title mt-4 text-center font-weight-light">
                            {{ user_count }}
                        </h5>
                        <div class="form-text font-weight-lighter text-center pt-0 mb-4 small">View Staffs</div>
                    </div>
                    <div class="card-text">
                        <div class="card-title font-weight-light text-right"></div>
                    </div>
                </a>
                <div class="card text-white success-color mb-4 z-depth-2" style="max-width: 20rem;">
                    <div class="card-header h5-responsive text-center">Total amount of loans</div>
                    <div class="card-body">
                        <h5 class="card-title my-4 text-center font-weight-light">
                            {% if loan_amount.amount__sum %}
                            MWK {{ loan_amount.amount__sum|floatformat:3|intcomma }}
                            {% else %}
                            MWK 0.0
                            {% endif %}

                        </h5>
                    </div>
                </div>
                <div class="w-100 d-none d-sm-block d-md-none"><!-- wrap every 2 on sm--></div>
                <div class="w-100 d-none d-md-block d-lg-none"><!-- wrap every 2 on md--></div>
                <div class="card text-white  secondary-color-dark mb-4 z-depth-2" style="max-width: 20rem;">
                    <div class="card-header h5-responsive text-center">Total Disbursed amount</div>
                    <div class="card-body">
                        <h5 class="card-title my-4 text-center font-weight-light">
                            {% if disbursed.disbursed__sum %}
                            MWK {{ disbursed.disbursed__sum|floatformat:3|intcomma }}
                            {% else %}
                            MWK 0.0
                            {% endif %}
                        </h5>
                    </div>
                </div>
                <div class="card text-white danger-color-dark mb-4 z-depth-2" style="max-width: 20rem;">
                    <div class="card-header h5-responsive text-center">Total contribution</div>
                    <div class="card-body">
                        <h5 class="card-title my-4 font-weight-light text-center font-weight-light">
                            {% if contrib_amount.amount__sum %}
                            MWK {{ contrib_amount.amount__sum|floatformat:3|intcomma }}
                            {% else %}
                            MWK 0.0
                            {% endif %}
                        </h5>
                    </div>
                </div>
                <div class="w-100 d-none d-sm-block d-md-none"><!-- wrap every 2 on sm--></div>
                <div class="w-100 d-none d-md-block d-lg-none"><!-- wrap every 2 on md--></div>
                <div class="w-100 d-none d-lg-block d-xl-none"><!-- wrap every 4 on lg--></div>
                <div class="w-100 d-none d-xl-block"><!-- wrap every 4 on lg--></div>
            </div>
        </div>
    </div>
    <div class="row justify-content-center mt-2 mb-5">
        <div class="col-lg-3 col-md-3 animated fadeIn">
            <div class="card text-white warning-color-dark mb-4 z-depth-2" style="max-width: 20rem;">
                <div class="card-header h5-responsive text-center">Total Processing Fees</div>
                <div class="card-body">
                    <h5 class="card-title my-4 my-lg-5 font-weight-light text-center font-weight-light">
                        {% if processing_fee.processing_fee__sum %}
                        MWK {{ processing_fee.processing_fee__sum|floatformat:3|intcomma }}
                        {% else %}
                        MWK 0.0
                        {% endif %}
                    </h5>
                </div>
            </div>

        </div>
    </div>
</div>

{% endblock %}